#!/bin/bash

. ../lib.sh

repo=`mktemp -d`
output=`mktemp`

prepare_input ../input $repo/input

git init $repo
git -C $repo config user.email "clime@redhat.com"
git -C $repo config user.name "clime"
git -C $repo remote add origin https://pagure.io/clime/test.git
git -C $repo add -A
git -C $repo commit -a -m 'inital_commit'

touch $repo/foo

touch output && cp output $output
wtree_sub $repo $output
head_commit_sub $repo $output

generic_test opts='--dump-spec-only' path=$repo input=$repo/input expected_output=$output expected_log=log copy_only=$1

rm -rf $repo
rm $output
